# Package com.google.android.exoplayer2.source.smoothstreaming.manifest

- Class Summary
  Class | Description
  --- | ---
  SsManifest | Represents a SmoothStreaming manifest.
  SsManifest.ProtectionElement | Represents a protection element containing a single header.
  SsManifest.StreamElement | Represents a StreamIndex element.
  SsManifestParser | Parses SmoothStreaming client manifests.

- Exception Summary
  Exception | Description
  --- | ---
  SsManifestParser.MissingFieldException | Thrown if a required field is missing.